Name:           nbc
Version:        1.2.1.r3
Release:        alt1_7
Summary:        Simple language and compiler to program the LEGO NXT brick
URL:            http://bricxcc.sourceforge.net/nbc/
Group:          Development/Other
License:        MPLv1.1
Source0:        http://downloads.sourceforge.net/bricxcc/%{name}-%{version}.src.tgz

# This patch fixes the installation paths for the binary and manpage, 
# and adds a -g to the Pascal buildflags so a debuginfo package
# can be generated.  Not yet submitted upstream
Patch0:         %{name}-1.2.1.r3.fixinstall.patch

BuildRequires:  fpc
BuildRequires: libusb-compat-devel libusb-devel
BuildRequires:  dos2unix

ExcludeArch: s390 s390x
Source44: import.info

%description
Next Byte Codes (NBC) is a simple language with an assembly language
syntax that can be used to program LEGO's NXT programmable brick
(from the new LEGO Mindstorms NXT set).

Not Exactly C (NXC) is a high level language, similar to C, built on
top of the NBC compiler. It can also be used to program the NXT brick.
NXC is basically NQC (Not Quite C) for the NXT.

%prep
%setup -c -q
%patch0 -p0 -b .fixinstall

cd doc
for f in Readme Changelog; do
  dos2unix -n $f $f.tmp && \
  touch -r $f $f.tmp && \
  mv $f.tmp $f
done

%build
make %{?_smp_mflags}

%install
make install DISTDIR=%{buildroot}

%files
%doc doc/Changelog doc/Readme
%{_bindir}/nbc
%{_mandir}/man1/nbc.1*

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.1.r3-alt1_7
- initial fc import

